Next: TILEPro Options, Previous: System V Options, Up: Submodel Options

#### 3.17.43 TILE-Gx Options

These ‘`-m`’ options are supported on the TILE-Gx:

`-mcmodel=small`
  Generate code for the small model. The distance for direct calls is limited to 500M in either direction. PC-relative addresses are 32 bits. Absolute addresses support the full address range.
`-mcmodel=large`
  Generate code for the large model. There is no limitation on call distance, pc-relative addresses, or absolute addresses.
`-mcpu=`name
  Selects the type of CPU to be targeted. Currently the only supported type is ‘`tilegx`’.
`-m32`
`-m64`
  Generate code for a 32-bit or 64-bit environment. The 32-bit environment sets int, long, and pointer to 32 bits. The 64-bit environment sets int to 32 bits and long and pointer to 64 bits.